# PhasicFlow: src/Interaction/sphereInteraction/sphereTriSurfaceContact.hpp File Reference

sphereTriSurfaceContact.hpp File Reference
Include dependency graph for sphereTriSurfaceContact.hpp:
This graph shows which files directly or indirectly include this file:

Go to the source code of this file.

## Namespaces

| pFlow
| pFlow::sphTriInteraction

## Functions

INLINE_FUNCTION_HD bool | pointInPlane (const realx3 &p1, const realx3 &p2, const realx3 &p3, const realx3 &p)
INLINE_FUNCTION_HD void | cramerRule2 (real A[2][2], real B[2], real &x1, real &x2)
INLINE_FUNCTION_HD bool | pointInPlane (const realx3 &p1, const realx3 &p2, const realx3 &p3, const realx3 &p, int32 &Ln)
INLINE_FUNCTION_HD bool | isSphereInContactActiveSide (const realx3 &p1, const realx3 &p2, const realx3 &p3, const realx3 &cntr, real rad, real &ovrlp, realx3 &norm, realx3 &cp)
INLINE_FUNCTION_HD bool | isSphereInContactBothSides (const realx3x3 &tri, const realx3 &cntr, real Rad, real &ovrlp, realx3 &norm, realx3 &cp)